OpenVDB: AttributeDetail< VDBGridType > Class Template Reference

OpenVDB 8.0.0

Public Types | Public Member Functions | Protected Member Functions | List of all members
AttributeDetail< VDBGridType > Class Template Reference

`#include <AttributeTransferUtil.h>`

Inherits AttributeDetailBase.

## Public Types
using | ValueType = typename VDBGridType::ValueType
using | Ptr = std::shared_ptr< AttributeDetailBase >

## Public Member Functions
| AttributeDetail (openvdb::GridBase::Ptr grid, const GA_Attribute *attribute, const GA_AIFTuple *tupleAIF, const int tupleIndex, const bool isVector=false)
void | set (const openvdb::Coord &ijk, const GA_Offset(&offsets)[3], const openvdb::Vec3d &weights) override
void | set (const openvdb::Coord &ijk, GA_Offset offset) override
openvdb::GridBase::Ptr & | grid () override
std::string & | name () override
AttributeDetailBase::Ptr | copy () override

## Protected Member Functions
| AttributeDetail ()

## Member Typedef Documentation

## ◆ Ptr

using Ptr = std::shared_ptr<AttributeDetailBase>
| inherited

## ◆ ValueType

using ValueType = typename VDBGridType::ValueType

## Constructor & Destructor Documentation

## ◆ AttributeDetail() [1/2]

AttributeDetail | ( | openvdb::GridBase::Ptr | grid,
|  | const GA_Attribute * | attribute,
|  | const GA_AIFTuple * | tupleAIF,
|  | const int | tupleIndex,
|  | const bool | isVector = `false`
| ) |  |

## ◆ AttributeDetail() [2/2]

AttributeDetail
| protected

## Member Function Documentation

## ◆ copy()

AttributeDetailBase::Ptr copy
| overridevirtual

Implements AttributeDetailBase.

## ◆ grid()

openvdb::GridBase::Ptr& grid | ( |  | ) |
| inlineoverridevirtual

Implements AttributeDetailBase.

## ◆ name()

std::string& name | ( |  | ) |
| inlineoverridevirtual

Implements AttributeDetailBase.

## ◆ set() [1/2]

void set | ( | const openvdb::Coord & | ijk,
|  | const GA_Offset(&) | offsets[3],
|  | const openvdb::Vec3d & | weights
| ) |  |
| overridevirtual

Implements AttributeDetailBase.

## ◆ set() [2/2]

void set | ( | const openvdb::Coord & | ijk,
|  | GA_Offset | offset
| ) |  |
| overridevirtual

Implements AttributeDetailBase.

The documentation for this class was generated from the following file:

- AttributeTransferUtil.h